Bug 7685 - [UPDATE REQUEST] nginx 1.10.2 → 1.10.3
: [UPDATE REQUEST] nginx 1.10.2 → 1.10.3
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Denis Silakov
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-01 20:58 MSK by Алзим
Modified: 2017-02-14 08:10 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
vladimir.potapov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Алзим 2017-02-01 20:58:38 MSK
Изменения в nginx 1.10.3                                          31.01.2017

    *) Исправление: в директиве add_after_body при использовании совместно с
       директивой sub_filter.

    *) Исправление: unix domain listen-сокеты могли не наследоваться при
       обновлении исполняемого файла на Linux.

    *) Исправление: плавное завершение старых рабочих процессов могло
       занимать бесконечное время при использовании HTTP/2.

    *) Исправление: при использовании HTTP/2 и директив limit_req или
       auth_request тело запроса могло быть повреждено; ошибка появилась в
       1.10.2.

    *) Исправление: при использовании HTTP/2 в рабочем процессе мог
       произойти segmentation fault; ошибка появилась в 1.10.2.

    *) Исправление: при использовании директивы sendfile на FreeBSD и macOS
       мог возвращаться некорректный ответ; ошибка появилась в 1.7.8.

    *) Исправление: при использовании директивы aio_write ответ мог
       сохраняться в кэш не полностью.

    *) Исправление: при использовании директивы aio_write могла происходить
       утечка сокетов.
Comment 1 Алзим 2017-02-01 21:00:12 MSK
Updated to 1.10.3
https://abf.io/build_lists/2805395
https://abf.io/build_lists/2805396
Comment 2 Vladimir Potapov 2017-02-09 13:55:08 MSK
The update is sent to expanded testing
**************************************
Comment 3 Vladimir Potapov 2017-02-13 18:49:05 MSK
nginx-1.10.3-1
https://abf.io/build_lists/2805395
https://abf.io/build_lists/2805396
***************************** Advisory **************************
Updated to 1.10.3
*****************************************************************
QA Verified